<?php

namespace Modules\Project\Listeners;

use Modules\Project\Services\JCYPService;
use Modules\Project\Services\MLDService;
use SMG\Mall\Listeners\OrderStatusChangeListenerBase;

class OrderStatusChangeListener extends OrderStatusChangeListenerBase
{
    public function afterPaid()
    {
        $order = $this->order;

        //(new \Modules\Project\Services\RewardService)->orderPaid($order);


    }

    public function afterShipped()
    {
        $order = $this->order;
        (new \Modules\Project\Services\RewardService())->orderComplete($order);
    }

    public function afterClosed()
    {
        $order = $this->order;
    }

    public function afterCancelled()
    {
        $order = $this->order;

    }

}
